Imports System.Collections.ObjectModel
Imports System.IO
Imports EgtBEAMWALL.Core
Imports EgtUILib
Imports EgtWPFLib5

Public MustInherit Class BeamVM
   Inherits PartVM

   Public ReadOnly Property m_BeamM As BeamM
      Get
         Return m_PartM
      End Get
   End Property

   Public Overridable Property sOffset As String
      Get
         Return LenToString(m_BeamM.dOffset, 3)
      End Get
      Set(value As String)
         StringToLen(value, m_BeamM.dOffset)
      End Set
   End Property
   Public ReadOnly Property dOffset As Double
      Get
         Return m_BeamM.dOffset
      End Get
   End Property


#Region "CONSTRUCTOR"

   Sub New(BeamM As BeamM, ParentMachGroupVM As BeamMachGroupVM)
      MyBase.New(BeamM, ParentMachGroupVM)
   End Sub

#End Region    ' CONSTRUCTOR

#Region "METHODS"

#End Region    ' METHODS

End Class
